# rpmfc.h File Reference

Structures and methods for build-time file classification. More...

`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`
`#include <rpm/rpmstring.h>`
`#include <rpm/rpmspec.h>`
Include dependency graph for rpmfc.h:

Go to the source code of this file.

## Defines
#define | RPMFC_ELF (RPMFC_ELF32|RPMFC_ELF64|RPMFC_ELFMIPSN32)
## Typedefs
typedef struct rpmfc_s * | rpmfc
typedef enum FCOLOR_e | FCOLOR_t
typedef struct rpmfcTokens_s * | rpmfcToken
## Enumerations
enum | FCOLOR_e { RPMFC_BLACK = 0, RPMFC_ELF32 = (1 << 0), RPMFC_ELF64 = (1 << 1), RPMFC_ELFMIPSN32 = (1 << 2) }
## Functions
int | rpmfcExec (ARGV_const_t av, StringBuf sb_stdin, StringBuf *sb_stdoutp, int failnonzero)
| Return helper output.
int | rpmfcColoring (const char *fmstr)
| Return file color given file(1) string.
void | rpmfcPrint (const char *msg, rpmfc fc, FILE *fp)
| Print results of file classification.
rpmfc | rpmfcFree (rpmfc fc)
| Destroy a file classifier.
rpmfc | rpmfcNew (void)
| Create a file classifier.
rpmRC | rpmfcClassify (rpmfc fc, ARGV_t argv, rpm_mode_t *fmode)
| Build file class dictionary and mappings.
rpmRC | rpmfcApply (rpmfc fc)
| Build file/package dependency dictionary and mappings.
rpmRC | rpmfcGenerateDepends (const rpmSpec spec, Package pkg)
| Generate package dependencies.
rpmds | rpmfcProvides (rpmfc fc)
| Retrieve file classification provides.
rpmds | rpmfcRequires (rpmfc fc)
| Retrieve file classification requires.
## Variables
int | _rpmfc_debug

## Detailed Description

Structures and methods for build-time file classification.

Definition in file rpmfc.h.

## Define Documentation

#define RPMFC_ELF (RPMFC_ELF32|RPMFC_ELF64|RPMFC_ELFMIPSN32)

Definition at line 31 of file rpmfc.h.

## Variable Documentation

int _rpmfc_debug